//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
// DataHelpers.SQL satellite library | Author: Sergei Y.Kitáev
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;
using System.Collections.Generic;
using System.Threading;
using System.Data;
using System.Data.SqlClient;
using u = user_rtx;

namespace DataHelpers.SQL {

partial class HQueryExecContextBase {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static void AddParameters( SqlCommand command, params SqlParameter[] sqlParameters ) =>
   HSqlCommand.AddParameters( command, sqlParameters );

//==================================================================================================

/// <exception cref="ArgumentException" />
/// <exception cref="InvalidCastException" />
public static SqlParameter AddInputParam( SqlCommand command, string paramName, object value ) =>
   HSqlParam.AddIn( command, paramName, value );
/// <exception cref="ArgumentException" />
/// <exception cref="InvalidCastException" />
public static SqlParameter AddInOutParam( SqlCommand command, string paramName, object value ) =>
   HSqlParam.AddInOut( command, paramName, value );
/// <exception cref="ArgumentException" />
public static SqlParameter AddRetValueParam( SqlCommand command ) =>
   HSqlParam.AddRetValue( command );

//--------------------------------------------------------------------------------------------------

/// <exception cref="ArgumentException" />
/// <exception cref="InvalidCastException" />
public static SqlParameter AddInputParam( SqlCommand command, string paramName,
                                          DbType dbType, object value ) =>
   HSqlParam.AddIn( command, paramName, dbType, value );
/// <exception cref="ArgumentException" />
public static SqlParameter AddOutputParam( SqlCommand command, string paramName, DbType dbType ) =>
   HSqlParam.AddOut( command, paramName, dbType );
/// <exception cref="ArgumentException" />
/// <exception cref="InvalidCastException" />
public static SqlParameter AddInOutParam( SqlCommand command, string paramName,
                                          DbType dbType, object value ) =>
   HSqlParam.AddInOut( command, paramName, dbType, value );
/// <exception cref="ArgumentException" />
public static SqlParameter AddRetValueParam( SqlCommand command, DbType dbType ) =>
   HSqlParam.AddRetValue( command, dbType );

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // HQueryExecContextBase

} // DataHelpers.SQL
